# $Revision: 1.19 $, $Date: 2009/06/18 13:50:45 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Encode
Summary:	Encode - character encodings
Summary(pl.UTF-8):	Encode - kodowania znaków
Name:		perl-Encode
Version:	2.33
Release:	1
# same as in perl.spec package
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Encode/%{pdir}-%{version}.tar.gz
# Source0-md5:	94f80e3d391bbcb2bf740b759000fd2b
URL:		http://search.cpan.org/dist/Encode/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Encode-compat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Encode module provides the interfaces between Perl's strings and
the rest of the system.

%description -l pl.UTF-8
Moduł Encode udostępnia interfejs pomiędzy łańcuchami w wewnętrznym
formacie Perla a resztą systemu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
# FIXME: *.h to devel(?), check out the use for *.e2x files
%{perl_vendorarch}/Encode
%dir %{perl_vendorarch}/auto/Encode
%dir %{perl_vendorarch}/auto/Encode/*/
%{perl_vendorarch}/auto/Encode/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Encode/*/*.so
%{_mandir}/man1/enc2xs.*
%{_mandir}/man1/piconv.*
%{_mandir}/man3/Encode*
%{_mandir}/man3/encoding.*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Encode.spec,v $
Revision 1.19  2009/06/18 13:50:45  amateja
- updated to 2.33

Revision 1.18  2009/03/05 16:26:01  radek
- version 2.31

Revision 1.17  2009/01/16 22:50:03  radek
- version 2.26

Revision 1.16  2008/12/08 02:40:05  glen
- O: perl-Encode-compat likely belongs to perl-Encode

Revision 1.15  2008/06/01 20:17:06  glen
- as package in perl.spec rather

Revision 1.14  2008-06-01 14:41:20  shadzik
- unify with perl.spec
- epoch 1

Revision 1.13  2008-04-02 09:10:21  arekm
- up to 2.24

Revision 1.12  2008-03-14 00:34:59  glen
- sync with perl.spec

Revision 1.11  2008-03-06 01:38:52  wolvverine
- rel.2

Revision 1.10  2008-02-25 01:10:17  glen
- update to 2.23

Revision 1.9  2008-02-24 23:54:52  glen
- release 1

Revision 1.8  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.7  2007-04-01 09:54:56  qboosh
- fixed files

Revision 1.6  2007/04/01 09:40:26  qboosh
- generic URL
- License is same as perl
- no executable perms for *.bs

Revision 1.5  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.3  2006/07/27 18:38:50  agaran
- updated to 2.18, rel 0.1, not really clean,
- seems that no manuals generate now (need to fix probably)

Revision 1.2  2004/12/16 23:42:34  qboosh
- pl fix, cosmetics

Revision 1.1  2004/12/16 14:43:50  radek
- new
